Subject: bug#10283: closed (Re: bug#10283: Guile Manual Error)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Dec 2011 16:38:01 +0000

Your bug report

#10283: Guile Manual Error

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10283: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10283
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10283: Guile Manual Error
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Tue, 13 Dec 2011 11:34:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The submitter "add" <[email-masked]> told me in private email
that the gcc command in the manual now works for him (he probably
mistyped it before), and that the HOSTNAME variable was a private shell
variable and not an environment variable, so I'm closing this bug.

     Mark

Subject: Guile Manual Error
From: add <[email-masked]>
To: [email-masked]
Date: Mon, 12 Dec 2011 13:00:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

www.gnu.org/software/guile/manual/guile.html#Linking-Guile-into-Programs

Hm, I've tried the "linking guile into programs" and the gcc command 
there is incorrect, and also, I can't access my HOSTNAME envvar from the 
guile instance (from both mac 10.5.8 and GNU/Linux Kubuntu 11.10).
The gcc command should be "gcc -o simple-guile simple-guile.c 
$(pkg-config --cflags --libs guile-2.0)"
Thanks for supplying the manual though :-D Without it I wouldn't get 
anywhere, probably.
:-)